// Избиране на елементи
const $ = (selector) => document.querySelector(selector);
const hour = $('.hour');
const dot = $('.dot');
const min = $('.min');
const week = $('.week');
let showDot = true;

// Функция за обновяване на часа
function update() {
    showDot = !showDot;
    const now = new Date();

    // Премигващата точка
    if (showDot) {
        dot.classList.add('invsible');
    } else {
        dot.classList.remove('invsible');
    }

    // Обновяване на часа и минутите
    hour.textContent = String(now.getHours()).padStart(2, '0');
    min.textContent = String(now.getMinutes()).padStart(2, '0');

    // Обновяване на активния ден
    Array.from(week.children).forEach((ele) => ele.classList.remove('active'));
    week.children[now.getDay()].classList.add('active');
}

// Настройване на интервал за обновяване
setInterval(update, 500);
